%define rel	1

Summary:	MySQL authentication for PAM
Name:		pam_mysql
Version:	1.0.0
Release:	%mkrel 0.beta1.%{rel}
License:	GPL
Group:		System/Libraries
URL:		https://github.com/NigelCunningham/pam-MySQL
Source0:	https://github.com/NigelCunningham/pam-MySQL/archive/refs/tags/1.0.0-beta1.tar.gz
# https://github.com/NigelCunningham/pam-MySQL/issues/80
Patch0:		0001-Remove-hard-coded-install_dir-and-use-libdir-instead.patch
# https://github.com/NigelCunningham/pam-MySQL/pull/81
Patch1:		0002-Remove-name-prefix-to-shared-library-is-named-pam_my.patch
Requires:	pam
Provides:	pam-mysql
BuildRequires:	pam-devel
BuildRequires:	mysql-devel
BuildRequires:	meson

%description
This is a module that allows people to login to PAM-aware applications by
authenticating to a MySQL database. Now configurable in terms of which host the
database resides upon and which table and username and password column to
interrogate.

%prep
%autosetup -n pam-MySQL-1.0.0-beta1

%build
%meson
%meson_build

mv AUTHORS AUTHORS.lame
iconv -f latin1 -t utf-8 -o AUTHORS AUTHORS.lame

%install
%meson_install

%files
%license COPYING
%doc AUTHORS NEWS README
%{_libdir}/security/pam_mysql.so


%changelog
* Fri Oct 04 2024 ns80 <ns80> 1.0.0-0.beta1.1.mga10
+ Revision: 2103188
- sync with Fedora to try to fix building with GCC 14

* Sat Apr 02 2022 umeabot <umeabot> 0.7-0.rc1.13.mga9
+ Revision: 1841069
- Mageia 9 Mass Rebuild
+ danf <danf>
- Switch URLs from http: to https:

* Fri Feb 14 2020 umeabot <umeabot> 0.7-0.rc1.12.mga8
+ Revision: 1515825
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.7-0.rc1.11.mga7
+ Revision: 1300095
- Mageia 7 Mass Rebuild

* Mon Jun 11 2018 wally <wally> 0.7-0.rc1.10.mga7
+ Revision: 1236399
- fix build on aarch64
+ kekepower <kekepower>
- Use new make macros

* Sat Dec 23 2017 wally <wally> 0.7-0.rc1.9.mga7
+ Revision: 1184224
- rebuild for new mariadb

* Sat Feb 06 2016 umeabot <umeabot> 0.7-0.rc1.8.mga6
+ Revision: 940609
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.7-0.rc1.7.mga5
+ Revision: 743803
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.7-0.rc1.6.mga5
+ Revision: 683320
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.7-0.rc1.5.mga4
+ Revision: 533198
- Mageia 4 Mass Rebuild

* Mon Aug 26 2013 dlucio <dlucio> 0.7-0.rc1.4.mga4
+ Revision: 471984
- bump release

* Thu May 02 2013 dlucio <dlucio> 0.7-0.rc1.3.mga4
+ Revision: 412014
- TAG fixing

* Thu May 02 2013 dlucio <dlucio> 0.7RC1-3.mga3
+ Revision: 411944
- P1 to fix scrambled function

* Thu May 02 2013 dlucio <dlucio> 0.7RC1-2.mga3
+ Revision: 411931
- P0 to fix a link issue

* Thu May 02 2013 dlucio <dlucio> 0.7RC1-1.mga3
+ Revision: 411912
- imported package pam_mysql


* Sun Oct 30 2005 Oden Eriksson <oeriksson@mandriva.com> 0.5-5mdk
- rebuilt against MySQL-5.0.15

* Thu Feb 10 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.5-4mdk
- rebuilt against new mysql libs
- fix deps
- misc spec file fixes

* Mon Feb 17 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.5-3mdk
- fix buildrequires & requires

* Sun Feb 02 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.5-2mdk
- rebuild

* Wed Dec 04 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.5-1mdk
- from Terry Froy <tez@spilsby.net> :
	- Initial spec
